Package com.documentum.fc.client

# Interface IDfVersionTreeLabels

public interface IDfVersionTreeLabels
This interface provides information about the version tree of a SysObject.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getChronicleId()`
  Returns the object ID of the version tree's root version.
  `IDfId`
  `getObjectIdFromVersionLabel(String label)`
  Returns the object ID of the object carrying a given version label.
  `IDfVersionLabels`
  `getVersion(int index)`
  Returns the IDfVersionLabels object for a given version.
  `int`
  `getVersionCount()`
  Returns a count of the object versions in the version tree.
  `String`
  `getVersionLabel(int index)`
  Returns the version label at a specified index.
  `int`
  `getVersionLabelCount(boolean includeImplicit, boolean symbolicFirst)`
  Returns a count of the version labels in the object's version tree.
  `void`
  `invalidate()`
  Flushes the cached information for the IDfVersionTreeLabels object.

- ## Method Details

  - ### getVersionLabelCount

    int getVersionLabelCount(boolean includeImplicit, boolean symbolicFirst) throws DfException
    Returns a count of the version labels in the object's version tree.

    Every SysObject is part of a version tree. A version tree begins with the first version of the object and contains all subsequent versions. Each version on the tree has one implicit label and may also have one or more symbolic labels.

    This method records the version labels for each version in an internal structure and returns a count of the version labels. Each index position in the internal structure stores the version labels for one version.

    Parameters:
      `includeImplicit` - Set this to `true` if you want to include the implicit labels in the count. Set it to `false` if you don't want to include implicit labels
      `symbolicFirst` - Set this parameter to `true` to record the symbolic labels first followed by the implicit label in the internal structure. Set it to `false` to list the implicit version label first.
    Returns:
      The version label count
    Throws:
      `DfException` - if the server returns an error

  - ### getVersionLabel

    String getVersionLabel(int index) throws DfException
    Returns the version label at a specified index.

    When you issue a `getVersionLabelCount(boolean, boolean)`, the method returns a count of the version labels, but also records the counted labels in an internal structure. Each index position in the structure records the labels for one object version on the version tree.

    To obtain the version labels for a particular object version, use the `getVersionLabel` method. The `index` parameter is an index into the internal structure. The index values begins at 0.

    Parameters:
      `index` - The index position of the labels you want to retrieve
    Throws:
      `DfException` - if the server returns an error

  - ### getVersionCount

    int getVersionCount() throws DfException
    Returns a count of the object versions in the version tree.

    Note that this differs from the count returned by `getVersionLabelCount` because each object version may have multiple version labels.

    Returns:
      The count of the object versions
    Throws:
      `DfException` - if the server returns an error

  - ### getVersion

    IDfVersionLabels getVersion(int index) throws DfException
    Returns the IDfVersionLabels object for a given version.

    An IDfVersionLabels object represents the version labels for one object version.

    The `index` parameter value is set to any number from 0 up to the total number of values returned by `getVersionCount()`. Each index value represents one object version.

    Parameters:
      `index` - Identifies the object version
    Returns:
      An IDfVersionLabels object for the object version
    Throws:
      `DfException` - if the server returns an error

  - ### getObjectIdFromVersionLabel

    IDfId getObjectIdFromVersionLabel(String label) throws DfException
    Returns the object ID of the object carrying a given version label.

    Version labels, both implicit and symbolic, are unique within a version tree. Using this method, you can obtain the object ID of the version that has a given version label.

    Parameters:
      `label` - The version label associated with the object you want
    Returns:
      An IDfId object that contains the object ID of the desired object
    Throws:
      `DfException` - if the server returns an error

  - ### getChronicleId

    IDfId getChronicleId() throws DfException
    Returns the object ID of the version tree's root version.

    A version tree begins with the first version of an object. This version is called the root version and its object ID is the chronicle ID for all other versions on the tree.

    Returns:
      An IDfId object that contains the chronicle ID of the version tree
    Throws:
      `DfException` - if the server returns an error

  - ### invalidate

    void invalidate() throws DfException
    Flushes the cached information for the IDfVersionTreeLabels object.

    When an IDfVersionTreeLabels object is first referenced, the system puts all the information for the tree in a cache. This method flushes that cache. The next time the object is referenced, the cache will be refreshed from the repository.

    Throws:
      `DfException` - if the server returns an error